<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
  <h3 class="font-medium my-3 col-6">Listado de Juegos para el paciente : </h3>
    <div class="my-3 col-6 d-flex justify-content-end">
    <select  [(ngModel)]="pacienteId" class="form-select form-select-sm" 
    aria-label=".form-select-sm example"  (change)="verHabilitado()"  >
           <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
            {{ paciente.nombre }} {{ paciente.apellido }}
          </option>
      </select>
      </div>
  </div>

  
 <!-- Row -->

<div class="row">
 
   
    <div class="col-lg-12 col-md-6" >

  

          <table class="table align-middle" style="background-color: white;">
            <thead>
                <tr>
                    <th >Nombre</th>
                    <th >Descripción</th>
                    <th >Estado</th>
                    <th >Acciones</th>
                </tr>
            </thead>
            <tbody>
              <tr   *ngFor="let juego of juegos">
      

  
     
                <td class="" >{{juego.nombre}}</td>
                <td class="" >{{juego.descripcion}}</td>
                <td class="" >
                <span   *ngFor="let habilitado of juegosHabilitados">
                  <span *ngIf="habilitado.idUsuario == pacienteId && habilitado.idJuego==juego.id;">
                    {{habilitado.nivel}}
                    </span>
                </span>
                
                </td>

                <td class="">
                  <a href="juegos/administrar/{{juego.id}}/{{pacienteId}}"
                    class="btn btn-primary">Administrar</a> 
                  </td>

                  <td class="">
                    <a href="juegos/reporte/{{juego.id}}/{{pacienteId}}"
                      class="btn btn-success">Reporte</a> 
                    </td>
 
                </tr>   
            </tbody>
        </table>

    </div>
    </div>